import { RuntimeModule } from "@matrix-org/react-sdk-module-api/lib/RuntimeModule";
import { ModuleApi } from "@matrix-org/react-sdk-module-api/lib/ModuleApi";
import { AllExtensions } from "@matrix-org/react-sdk-module-api/lib/types/extensions";
export declare class MockModule extends RuntimeModule {
    get apiInstance(): ModuleApi;
    constructor(moduleApi: ModuleApi);
}
/**
 * Register a mock module
 *
 * @returns The registered module.
 */
export declare function registerMockModule(): MockModule;
declare class MockModuleWithCryptoSetupExtension extends RuntimeModule {
    get apiInstance(): ModuleApi;
    moduleName: string;
    extensions: AllExtensions;
    constructor(moduleApi: ModuleApi);
}
declare class MockModuleWithExperimentalExtension extends RuntimeModule {
    get apiInstance(): ModuleApi;
    moduleName: string;
    extensions: AllExtensions;
    constructor(moduleApi: ModuleApi);
}
/**
 * Register a mock module which implements the cryptoSetup extension.
 *
 * @returns The registered module.
 */
export declare function registerMockModuleWithCryptoSetupExtension(): MockModuleWithCryptoSetupExtension;
/**
 * Register a mock module which implements the experimental extension.
 *
 * @returns The registered module.
 */
export declare function registerMockModuleWithExperimentalExtension(): MockModuleWithExperimentalExtension;
export {};
